### org.jfree.layouting.renderer.process.layoutrules

# Class InlineBoxSequenceElement

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.layoutrules.InlineNodeSequenceElement`
  - - `org.jfree.layouting.renderer.process.layoutrules.InlineBoxSequenceElement`

Implemented Interfaces:
  InlineSequenceElement

`public class InlineBoxSequenceElement`
`extends InlineNodeSequenceElement`

Anthing that is not text. This could be an image or an inline-block element. For now, we assume that these beasts are not breakable at the end of the line (outer linebreaks).

Author:
  Thomas Morgner

  ## Constructor Summary

  `InlineBoxSequenceElement(RenderBox box)`

  ## Method Summary

  `long`

  `getMaximumWidth()`
    The extra-space width for an element.

  `long`

  `getMinimumWidth()`
    The width of the element.

  `boolean`

  `isPreserveWhitespace()`

  ### Methods inherited from class org.jfree.layouting.renderer.process.layoutrules.InlineNodeSequenceElement

  `getMaximumWidth`, `getMinimumWidth`, `getNode`, `isPreserveWhitespace`

## Constructor Details

### InlineBoxSequenceElement

    public InlineBoxSequenceElement(RenderBox box)

## Method Details

### getMaximumWidth

    public long getMaximumWidth()

> The extra-space width for an element. Some elements can expand to fill some more space (justified text is a good example, adding some space between the letters of each word to reduce the inner-word spacing).
> Specified by:
>   getMaximumWidth in interface InlineSequenceElement
> Overrides:
>   getMaximumWidth in interface InlineNodeSequenceElement
> Returns:

### getMinimumWidth

    public long getMinimumWidth()

> The width of the element. This is the minimum width of the element.
> Specified by:
>   getMinimumWidth in interface InlineSequenceElement
> Overrides:
>   getMinimumWidth in interface InlineNodeSequenceElement
> Returns:

### isPreserveWhitespace

    public boolean isPreserveWhitespace()

> Specified by:
>   isPreserveWhitespace in interface InlineSequenceElement
> Overrides:
>   isPreserveWhitespace in interface InlineNodeSequenceElement